## gyoto 0.0.3

=== Makefile ===
SHELL=/bin/sh
DIR=lib bin
CLEAN_DIR=$(addprefix clean-,$(DIR))
INSTALL_DIR=$(addprefix install-,$(DIR))
UNINSTALL_DIR=$(addprefix uninstall-,$(DIR))

include local_settings

GYOTO_VERSION=$(subst gyoto-,,`basename $(CURDIR)`)

all: $(DIR) yorick

$(DIR) doc:
	cd $@; $(MAKE)

install: $(INSTALL_DIR) install-yorick
$(INSTALL_DIR):
	cd $(subst install-,,$@) ; $(MAKE) install

uninstall: $(UNINSTALL_DIR) uninstall-yorick
$(UNINSTALL_DIR):
	cd $(subst uninstall-,,$@) ; $(MAKE) uninstall

clean: $(CLEAN_DIR) clean-doc clean-yorick
	rm -f example-*.fits
$(CLEAN_DIR) clean-doc:
	cd $(subst clean-,,$@); $(MAKE) clean

bin/gyoto: bin/*.C
	make bin

lib/$(LIBGYOTO_FILE): lib/*.C
	make lib

CHECK_CMD:=$(DYLIB_VAR)=lib:$$$(DYLIB_VAR) bin/gyoto
check: lib/$(LIBGYOTO_FILE) bin/gyoto check-yorick
	$(CHECK_CMD) doc/examples/example-thin-disk.xml \
	   \!example-thin-disk.fits
	$(CHECK_CMD) doc/examples/example-complex-astrobj.xml \
	   \!example-complex-astrobj.fits
	$(CHECK_CMD) doc/examples/example-fixed-star.xml \
	   \!example-fixed-star.fits
	$(CHECK_CMD) --resolution=32 doc/examples/example-moving-star.xml \
	   \!example-moving-star.fits
	$(CHECK_CMD) doc/examples/example-page-thorne-disk-BL.xml \
	   \!example-page-thorne-disk-BL.fits
	$(CHECK_CMD) doc/examples/example-page-thorne-disk-KS.xml \
	   \!example-page-thorne-disk-KS.fits
	$(CHECK_CMD) doc/examples/example-torus.xml \
	   \!example-torus.fits

yorick yorick/gyoto.so yorick/gyoto_std.so: yorick/*.C yorick/stdplug/*.C
	if which $(YORICK); then cd yorick; $(YORICK) -batch make.i; $(MAKE); fi

check-yorick: yorick/gyoto.so yorick/gyoto_std.so
	if which $(YORICK); then \
	cd yorick; \
	$(DYLIB_VAR)=../lib:$$$(DYLIB_VAR) \
	GYOTO_CHECK_NODISPLAY=true \
	$(YORICK) -i check.i; \
	fi

install-yorick uninstall-yorick: yorick/gyoto.so yorick/gyoto_std.so
	if which $(YORICK); then \
	cd yorick; \
	$(MAKE) $(subst -yorick,,$@); \
	fi

clean-yorick distclean-yorick:
	if which $(YORICK); then \
	cd yorick; \
	$(YORICK) -batch make.i; \
	$(MAKE) $(subst -yorick,,$@); \
	fi

distclean: clean distclean-yorick

tbz: distclean
	cd ..; \
	tar cvf - \
	--exclude=.git --exclude=.gitignore --exclude=.pc --exclude=debian \
	`basename $(CURDIR)` | \
	bzip2 > gyoto_$(GYOTO_VERSION).tbz

.PHONY: all $(DIR) clean $(CLEAN_DIR) install $(INSTALL_DIR) uninstall $(UNINSTALL_DIR) distclean check yorick check-yorick clean-yorick install-yorick uninstall-yorick doc clean-doc distclean-yorick tbz

=== bin/Makefile ===
SHELL=/bin/sh

include ../local_settings

.SUFFIXES : .o .C

#SRC = code.C RayTracingSch.C RayTracingSch_Disk.C #truc.C
#SRC = Orbite.C RayTracing.C
#OBJ = $(SRC:.C=.o)

LIB_SRC = $(shell ls ../lib/*.C)
HDRS = $(shell ls ../include/*.h)

EXE_ALL = gyoto
# the gyoto executable requires XERCES
ifeq (,$(findstring -DGYOTO_USE_XERCES,$(GYOTO_FLAGS)))
EXE = $(filter-out gyoto,$(EXE_ALL))
else
EXE = $(EXE_ALL)
endif

all: $(EXE)

.C.o:
	$(CXX)  -c $(GYOTO_FLAGS) -I../include $(CPPFLAGS) $(CXXFLAGS) $<

ray: RayTracing.o ../lib/libgyoto.a
	$(CXX) -o $@ $(CXXFLAGS) $(GYOTO_INC) $^  $(LIB_CXX_Gyoto)

gyoto: gyoto.o ../lib/$(LIBGYOTO_FILE)
	$(CXX) -o $@ $(LDFLAGS) $(LDLIBS) $< -L../lib -lgyoto -ldl

dbgyoto: debugyoto.C ../lib/libgyoto.a
	$(CXX) -o $@ $(CXXFLAGS) $(GYOTO_INC) $^ $(LIB_CXX_Gyoto) $(LIB_CXX) $(LIB_CFITSIO) $(LIB_LORENE) $(LIB_LAPACK) $(LIB_GSL) $(LIB_PGPLOT) -Wno-long-long

orbite: Orbite.o ../lib/libgyoto.a
	$(CXX) -o $@ $(CXXFLAGS) $(GYOTO_INC) $^  $(LIB_CXX_Gyoto)

gyotorbit: gyotorbit.C ../lib/libgyoto.a
	$(CXX) -o $@ $(CXXFLAGS) $(GYOTO_INC) $^ $(LIB_CXX_Gyoto) $(LIB_CXX) $(LIB_CFITSIO) $(LIB_LORENE) $(LIB_LAPACK) $(LIB_GSL) $(LIB_PGPLOT) -Wno-long-long

../lib/libgyoto.a: $(HDRS) $(LIB_SRC)
	make -C ../lib libgyoto.a

doc: doc.C $(SRC)  *.h
	doxygen doxyfile

clean:
	rm -f $(OBJ)
	rm -f $(EXE_ALL) 
	rm -fr Doc
	rm -fr *~
	rm -f libgyoto.a
	rm -fr gyoto.dSYM

$(DESTDIR)$(PREFIX)/share/man/man1 $(DESTDIR)$(PREFIX)/bin:
	install -d $@

ifeq (,$(findstring -DGYOTO_USE_XERCES,$(GYOTO_FLAGS)))
install:
else
install: $(EXE) $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/share/man/man1 gyoto.1
	install -m 0755 $(EXE) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 gyoto.1 $(DESTDIR)$(PREFIX)/share/man/man1
endif

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/gyoto
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/gyoto.1

.PHONY: clean install uninstall

=== doc/Makefile ===
SHELL=/bin/sh

doc: ../include/*.h
	doxygen doxyfile

clean:
	rm -fr html latex
	rm -fr *~

=== lib/Makefile ===
SHELL=/bin/sh
include ../local_settings

.SUFFIXES : .o .C

SRC = Astrobj.C Factory.C Register.C SmartPointer.C Utils.C Metric.C	\
	Worldline.C FocalPlane.C Photon.C Scenery.C			\
	WorldlineIntegState.C Error.C Screen.C Spectrum.C		\
	Spectrometer.C ThinDisk.C

STDPLUG_SRC = KerrBL.C KerrKS.C \
	Star.C FixedStar.C Torus.C \
	PowerLawSpectrum.C BlackBodySpectrum.C \
	ComplexAstrobj.C UniformSphere.C \
	StandardAstrobj.C PageThorneDisk.C \
	ThinDiskPL.C

ifneq (,$(findstring -DGYOTO_USE_CFITSIO,$(GYOTO_FLAGS)))
STDPLUG_SRC += 	PatternDisk.C PatternDiskBB.C DynamicalDisk.C Disk3D.C \
	Disk3D_BB.C
endif


LORENEPLUG_SRC= RotStar3_1.C LorenePlug.C

OBJ = $(SRC:.C=.o)
STDPLUG_OBJ = $(STDPLUG_SRC:.C=.o)
LORENEPLUG_OBJ = $(LORENEPLUG_SRC:.C=.o)

PLUGINS = libgyoto-stdplug.$(DYLIB_SFX)

ifdef HOME_LORENE
PLUGINS += libgyoto-lorene.$(DYLIB_SFX)
endif

all: libgyoto.a $(LIBGYOTO_FILE) $(PLUGINS)


list_src:
	echo $(SRC)

.C.o:
	$(CXX)  -c $(GYOTO_FLAGS) -I../include $(CPPFLAGS) $(CXXFLAGS) $<

libgyoto.a: $(OBJ)
	rm -f $@
	$(STLIB_CMD) $@ $^

$(LIBGYOTO_FILE): $(OBJ)
ifeq ($(SYS),Linux)
	ln -fs $(LIBGYOTO_FILE) libgyoto.so.$(SOVERS_MAJOR)
	ln -fs $(LIBGYOTO_FILE) libgyoto.so
endif
	$(CXX) -o $(LIBGYOTO_FILE) $(DYLIB_FLAG)  $(LDFLAGS) $(LDLIBS) $^

libgyoto-stdplug.$(DYLIB_SFX): $(STDPLUG_OBJ) StdPlug.o $(LIBGYOTO_FILE) Metric.o
	$(CXX) -o $@  $(PLUG_FLAGS) $(STDPLUG_OBJ) StdPlug.o $(LDFLAGS) $(LDLIBS)

$(LORENEPLUG_OBJ): $(LORENEPLUG_SRC)
	make -f Makefile.lorene $@

libgyoto-lorene.$(DYLIB_SFX): $(LORENEPLUG_OBJ) $(LIBGYOTO_FILE)
	make -f Makefile.lorene

doc: doc.C $(SRC)  *.h
	doxygen doxyfile

clean:
	rm -fr *.dSYM
	rm -f $(OBJ) $(STDPLUG_OBJ) $(LORENEPLUG_OBJ) StdPlug.o *.$(DYLIB_SFX)*
	rm -fr Doc
	rm -fr *~
	rm -f libgyoto.a
	rm -f ../include/*~
	rm -Rf Gyoto

$(DESTDIR)$(PREFIX)/include/Gyoto $(DESTDIR)$(PREFIX)/lib \
 $(DESTDIR)$(PREFIX)/lib/gyoto/$(SOVERS):
	install -d $@

install: libgyoto.a $(LIBGYOTO_FILE) $(PLUGINS) \
	            $(DESTDIR)$(PREFIX)/include/Gyoto $(DESTDIR)$(PREFIX)/lib \
	            $(DESTDIR)$(PREFIX)/lib/gyoto/$(SOVERS)
	install -m 0755 $(LIBGYOTO_FILE) $(DESTDIR)$(PREFIX)/lib
ifeq ($(SYS),Linux)
	ln -sf $(LIBGYOTO_FILE) $(DESTDIR)$(PREFIX)/lib/libgyoto.so.$(SOVERS_MAJOR)
	ln -sf $(LIBGYOTO_FILE) $(DESTDIR)$(PREFIX)/lib/libgyoto.so
endif
	install -m 0755 libgyoto-stdplug.$(DYLIB_SFX) $(DESTDIR)$(PREFIX)/lib/gyoto/$(SOVERS)
	-install -m 0755 libgyoto-lorene.$(DYLIB_SFX) $(DESTDIR)$(PREFIX)/lib/gyoto/$(SOVERS)
	install -m 0644 libgyoto.a $(DESTDIR)$(PREFIX)/lib
	install -m 0644 ../include/Gyoto*.h $(DESTDIR)$(PREFIX)/include/Gyoto

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/lib/libgyoto*
	rm -f $(DESTDIR)$(PREFIX)/include/Gyoto*.h

.PHONY: clean install uninstall

=== yorick/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

include ../local_settings

YGYOTO_C = $(shell ls *.C)
GYOTO_C = $(shell ls ../lib/*.C)
GYOTO_OBJ = $(GYOTO_C:.C=.o)
GYOTO_H = $(shell ls ../include/*.h)

PKG_NAME=gyoto
PKG_I=gyoto.i \
	gyoto_Photon.i gyoto_Scenery.i
#gyoto_Kerr.i gyoto_Star.i gyoto_FixedStar.i gyoto_PolishDoughnut.i

OBJS=gyoto_utils.o gyoto_Metric.o gyoto_Astrobj.o gyoto_Photon.o \
	gyoto_Scenery.o gyoto_Screen.o gyoto_Idx.o gyoto_Spectrum.o \
	gyoto_Spectrometer.o gyoto_ThinDisk.o

# gyoto_KerrBL.o gyoto_KerrKS.o gyoto_Star.o gyoto_FixedStar.o gyoto_PolishDoughnut.o gyoto_ThinInfiniteDiskBL.o gyoto_ThinInfiniteDiskKS.o 

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=-L../lib -lgyoto $(LDLIBS)
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS= -I../include
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=gyoto_constants.i gyotoy.i

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plug-in library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# ------------begin C++ source hacks
# must use C++ to load yorick with this C++ package
# this assumes make default CXX macro points to C++ compiler
CXXFLAGS=$(CFLAGS) $(GYOTO_FLAGS)
LD_DLL=$(CXX) $(LDFLAGS) $(PLUG_SHARED)
LD_EXE=$(CXX) $(LDFLAGS) $(PLUG_EXPORT)

# C++ has no standard file extension, supply default make rule(s)
.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c -o $@ $<
# --------------end C++ source hacks

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

all: gyoto_std.so

gyoto_std.so: stdplug/gyoto_std.so
	cp stdplug/gyoto_std.so ./

stdplug/gyoto_std.so: stdplug/*.C
	cd stdplug; yorick -batch make.i; make

../lib/$(LIBGYOTO_FILE): ../lib/*.C
	cd ../lib ; make $(LIBGYOTO_FILE)

../lib/libgyoto.a:
	cd ../lib ; make libgyoto.a

gyoto.so: gyoto.i $(OBJS) ../lib/$(LIBGYOTO_FILE)

install::
	cd stdplug; make install
	$(YNSTALL) ygyoto.h ygyoto_supplier.C $(DEST_Y_SITE)/include
	$(YNSTALL) gyotoy.glade $(DEST_Y_SITE)/glade
	$(YNSTALL) gyotoy.py $(DEST_Y_SITE)/python
	$(YNSTALL) gyotoy $(DEST_Y_SITE)/bin
	-ln $(DEST_Y_SITE)/bin/gyotoy $(DESTDIR)$(PREFIX)/bin/
	$(YNSTALL) gyotoy.1 $(DESTDIR)$(PREFIX)/share/man/man1

uninstall::
	cd stdplug; make uninstall
	rm -f $(DEST_Y_SITE)/include/ygyoto*
	rm -f $(DEST_Y_SITE)/glade/gyotoy.glade
	rm -f $(DEST_Y_SITE)/python/gyotoy.py
	rm -f $(DEST_Y_SITE)/bin/gyotoy
	rm -f $(DESTDIR)$(PREFIX)/bin/gyotoy
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/gyotoy.1

clean::
	cd stdplug; yorick -batch make.i; make clean
	rm -f gyoto_std.so example-patterndisk.fits.gz example-patterndisk.xml

distclean::
	cd stdplug; yorick -batch make.i; make distclean


.PHONY: standalone test-cppprog test-standalone test test-plugin check

# -------------------------------------------------------- end of Makefile

=== yorick/stdplug/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

include ../../local_settings

YGYOTO_C = $(shell ls ../*.C)
GYOTO_C = $(shell ls ../../lib/*.C)
GYOTO_OBJ = $(GYOTO_C:.C=.o)
GYOTO_H = $(shell ls ../../include/*.h)

PKG_NAME=gyoto_std
PKG_I=gyoto_std.i gyoto_Kerr.i gyoto_Star.i

OBJS = StdPlug.o gyoto_KerrBL.o gyoto_KerrKS.o \
	gyoto_Star.o gyoto_FixedStar.o \
	gyoto_Torus.o gyoto_PageThorneDisk.o gyoto_PatternDisk.o \
	gyoto_Disk3D.o \
	gyoto_PowerLawSpectrum.o gyoto_BlackBodySpectrum.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=-L../../lib -lgyoto

ifeq ($(SYS),Darwin)
PKG_DEPLIBS+=-bundle_loader ../../lib/libgyoto-stdplug.$(DYLIB_SFX) \
	-flat_namespace -bundle_loader ../gyoto.so $(LIB_CXX)
endif

# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS= -I../../include -I..
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# ------------begin C++ source hacks
# must use C++ to load yorick with this C++ package
# this assumes make default CXX macro points to C++ compiler
CXXFLAGS=$(CFLAGS) $(GYOTO_FLAGS) -DYGYOTO_LOCAL_SUPPLIER=GyotoStdPlugSupplier
LD_DLL=$(CXX) $(LDFLAGS) $(PLUG_SHARED)
LD_EXE=$(CXX) $(LDFLAGS) $(PLUG_EXPORT)

# C++ has no standard file extension, supply default make rule(s)
.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c -o $@ $<
# --------------end C++ source hacks

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c


StdPlug.o: ../ygyoto_supplier.C ../ygyoto.h 
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c -o $@ $<

../../lib/libgyoto.a: $(GYOTO_C) $(GYOTO_H)
	make -C ../lib

gyoto_std.so: $(OBJS) ../../lib/libgyoto-stdplug.$(DYLIB_SFX)

../../lib/libgyoto-stdplug.$(DYLIB_SFX): ../../lib/*.C
	cd ../../lib/ ; make libgyoto-stdplug.$(DYLIB_SFX)

.PHONY: standalone test-cppprog test-standalone test test-plugin check

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
gyoto (0.0.3-5) unstable; urgency=low

  * skip test suite on mips as lucatelli fails on it (but it runs fine on
    other boxes). (Closes: 681452)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 13 Jul 2012 11:36:16 +0200

gyoto (0.0.3-4) unstable; urgency=low

  * gyoto-dbg must not depend on gyoto on kfreebsd-*, else it is
    uninstallable on these archs.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 11 Jul 2012 14:30:02 +0200

gyoto (0.0.3-3) unstable; urgency=low

  * debian/control Architectures fields should not be folded: previous
    upload led to missing binary packages for some archs.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 11 Jul 2012 13:02:34 +0200

gyoto (0.0.3-2) unstable; urgency=low

  * Bug fix: "FTBFS on kfreebsd-i386 and kfreebsd-amd64 (test suite)",
    (Closes: #679923). The previous "fix" did not work at all. The library
    and the Yorick interface work fine, but not the stand-alone application.
    Disable the "gyoto" binary package and the test suite on kfreebsd-*.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 11 Jul 2012 11:20:09 +0200

gyoto (0.0.3-1+exp1) experimental; urgency=low

  * Bug fix: "FTBFS on kfreebsd-i386 and kfreebsd-amd64 (test suite)"
    (Closes: #679923).
  * Tentative bug fix: "don't rely on yorick to pass the fortified build
    flags" using patch fix_679923_kfreebsd_FTBFS (Closes: #680242).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 10 Jul 2012 10:50:50 +0200

gyoto (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #640809)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 22 Jun 2012 14:22:40 +0200

=== debian/control ===
Source: gyoto
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 7.0.50~), yorick-dev, yorick-yutils, doxygen,
	       libxerces-c-dev, libcfitsio3-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/gyoto.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gyoto.git
Homepage: http://gyoto.obspm.fr

Package: gyoto
Architecture: linux-any hurd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General relativistic ray-tracing
 Gyoto is a framework for computing geodesics in curved
 space-times. The gyoto utility program uses this framework to compute
 images of astronomical objects in the vicinity of compact objects
 (e.g. black-holes). Such images are distorted by strong gravitational
 lensing. The gyoto program takes a scenery description in XML format,
 computes this scenery using relativistic ray-tracing, and saves the
 result in FITS format.
 .
 More complex uses of the Gyoto framework can be achieved using the
 yorick-gyoto package. Gyoto can be extended with plug-ins (see
 libgyoto0-dev).

Package: libgyoto0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General relativistic geodesic integration and ray-tracing
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity. It consists in a shared
 library (this package), utility programs (in the gyoto package), and
 a plug-in for the Yorick programing language (in yorick-gyoto). Gyoto
 can be extended with plug-ins (see libgyoto0-dev).

Package: gyoto-dbg
Architecture: any
Section: debug
Depends: libgyoto0 (= ${binary:Version}),
	 gyoto (= ${binary:Version}) [!kfreebsd-any],
	 yorick-gyoto (= ${binary:Version}),
	 ${misc:Depends}
Description: debugging symbols for gyoto, libgyoto0 and yorick-gyoto
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity. It consists in a shared
 library (this package), utility programs (in the gyoto package), and
 a plug-in for the Yorick programing language (in yorick-gyoto).
 .
 This package contains the debugging symbols for the gyoto, libgyoto0
 and yorick-gyoto packages.

Package: libgyoto0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto0 (= ${binary:Version}),
	 libc-dev, libxerces-c3.1
Description: development files for libgyoto
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package provides the files necessary to compile Gyoto plugins
 and codes using the libgyoto library.

Package: yorick-gyoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-glade2, python,
	 yorick (>= 2.1.05), yorick-yutils (>= 1.3)
Description: General relativistic geodesic integration for the Yorick language
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package provides a plug-in for the Yorick programing language
 exposing the Gyoto facilities. It allows using Gyoto interactively
 from the yorick prompt or running complex Gyoto scripts.

Package: gyoto-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for the Gyoto library
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity. It consists in a library
 (libgyoto), utility programs, and a plug-in for the Yorick programing
 language.
 .
 This package contains the Gyoto Reference Manual.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Hardened flags
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

# Don't accidentally build the lorene plug-in
unexport HOME_LORENE

install-arch: build-stamp
	dh_auto_install
	dh_install -a -N yorick-gyoto
	dh_installyorick --no-make-install -pyorick-gyoto
	dh_makeshlibs -a
	dh install-arch

install-indep: doc-stamp
	dh_testdir -i
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i
	dh_install -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installexamples -i
	dh_lintian -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i

build: build-arch build-indep
build-arch: build-stamp
build-indep: doc-stamp

override_dh_auto_build:

build-stamp:
	dh_testdir -a
	make COPT_DEFAULT="" \
	     Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	     Y_LDFLAGS="$(LDFLAGS)"
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-i386 kfreebsd-amd64 mips))
# skip the test suite on kfreebsd-any as gyoto package not beeing built
# skip on mips as lucatelli2 fails on it (but the binary works on other boxes)
	make check
endif
endif
	touch build-stamp

doc-stamp:
	dh_testdir -i
	make doc
	touch doc-stamp

binary: binary-indep binary-arch

binary-indep: install-indep
	dh $@

binary-arch: install-arch
	dh $@

clean:
	dh_testdir
	make distclean
	dh_clean doc-stamp build-stamp

override_dh_auto_test:

override_dh_strip:
	dh_strip --dbg-package=gyoto-dbg

%:
	dh $@ 

# maintainer-only rule
git-clean: clean
	debuild clean
	-quilt pop -a
	-rm .pc/.version .pc/.quilt_series .pc/.quilt_patches
	if test -e .pc; then rmdir .pc; fi

.PHONY: clean git-clean override_dh_strip override_dh_auto_test

=== debian/watch ===
version=3
https://github.com/gyoto/Gyoto/tags .*/tarball/(\d[\d\.]+)

## gyoto 0.1.0

=== debian/changelog ===
gyoto (0.1.0-2ubuntu2) utopic; urgency=medium

  * Manually patch libtool files to add support for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 08 May 2014 01:57:57 -0400

gyoto (0.1.0-2ubuntu1) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 08 May 2014 01:29:11 -0400

gyoto (0.1.0-2) unstable; urgency=low

  * Bug fix: "fails to upgrade from &#39;testing&#39; - trying to
    overwrite /usr/include/Gyoto/Gyoto.h", thanks to Andreas Beckmann
    (Closes: #718629).

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 03 Aug 2013 22:59:39 +0200

gyoto (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 27 Jul 2013 11:35:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gyoto
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 7.0.50~), yorick-dev, yorick-yutils, doxygen,
-	       libxerces-c-dev, libcfitsio3-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), yorick-dev, yorick-yutils,
+	       libxerces-c-dev, libcfitsio3-dev, libudunits2-dev, autotools-dev
+Build-Depends-Indep: doxygen, doxygen-latex
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gyoto.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gyoto.git
 Homepage: http://gyoto.obspm.fr
@@ -25,9 +26,9 @@
  .
  More complex uses of the Gyoto framework can be achieved using the
  yorick-gyoto package. Gyoto can be extended with plug-ins (see
- libgyoto0-dev).
+ libgyoto1-dev).
 
-Package: libgyoto0
+Package: libgyoto1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: General relativistic geodesic integration and ray-tracing
@@ -35,29 +36,31 @@
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick programing language (in yorick-gyoto). Gyoto
- can be extended with plug-ins (see libgyoto0-dev).
+ can be extended with plug-ins (see libgyoto1-dev).
 
 Package: gyoto-dbg
 Architecture: any
 Section: debug
-Depends: libgyoto0 (= ${binary:Version}),
+Depends: libgyoto1 (= ${binary:Version}),
 	 gyoto (= ${binary:Version}) [!kfreebsd-any],
 	 yorick-gyoto (= ${binary:Version}),
 	 ${misc:Depends}
-Description: debugging symbols for gyoto, libgyoto0 and yorick-gyoto
+Description: debugging symbols for gyoto, libgyoto1 and yorick-gyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick programing language (in yorick-gyoto).
  .
- This package contains the debugging symbols for the gyoto, libgyoto0
+ This package contains the debugging symbols for the gyoto, libgyoto1
  and yorick-gyoto packages.
 
-Package: libgyoto0-dev
+Package: libgyoto1-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto0 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto1 (= ${binary:Version}),
 	 libc-dev, libxerces-c3.1
+Replaces: libgyoto0-dev
+Breaks:   libgyoto0-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
@@ -67,8 +70,8 @@
 
 Package: yorick-gyoto
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-glade2, python,
-	 yorick (>= 2.1.05), yorick-yutils (>= 1.3)
+Depends: ${shlibs:Depends}, ${misc:Depends},
+	 yorick (>= 2.1.05), yorick-yutils (>= 1.3), yorick-gy, gir1.2-gtk-3.0
 Description: General relativistic geodesic integration for the Yorick language
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 
 # Don't accidentally build the lorene plug-in
 unexport HOME_LORENE
+
+configure_flags = --with-yorick=/usr/bin/yorick --with-udunits --with-xerces \
+	--without-lorene --prefix=/usr --enable-static --enable-shared
 
 install-arch: build-stamp
 	dh_auto_install
@@ -43,6 +46,8 @@
 
 build-stamp:
 	dh_testdir -a
+	dh_autotools-dev_updateconfig
+	./configure $(configure_flags) --disable-doc
 	make COPT_DEFAULT="" \
 	     Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
 	     Y_LDFLAGS="$(LDFLAGS)"
@@ -50,13 +55,14 @@
 ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-i386 kfreebsd-amd64 mips))
 # skip the test suite on kfreebsd-any as gyoto package not beeing built
 # skip on mips as lucatelli2 fails on it (but the binary works on other boxes)
-	make check
+	LANG=C.UTF-8 make check
 endif
 endif
 	touch build-stamp
 
 doc-stamp:
 	dh_testdir -i
+	./configure $(configure_flags) --enable-doc
 	make doc
 	touch doc-stamp
 
@@ -68,9 +74,16 @@
 binary-arch: install-arch
 	dh $@
 
-clean:
+configure-stamp:
+	dh_autotools-dev_updateconfig
+	./configure --without-lorene --prefix=/usr
+	touch configure-stamp
+
+clean: configure-stamp
 	dh_testdir
+	./configure $(configure_flags) --enable-doc
 	make distclean
+	dh_autotools-dev_restoreconfig
 	dh_clean doc-stamp build-stamp
 
 override_dh_auto_test:

## gyoto 0.2.3

=== debian/changelog ===
gyoto (0.2.3-1) unstable; urgency=medium

  * New upstream release
  * Move to debian-astro team

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 21 Oct 2014 14:21:10 +0200

gyoto (0.2.2-1) unstable; urgency=medium

  * Bug fix: "Please build-depends on libcfitsio-dev instead of
    libcfitsio3-dev", thanks to Aurelien Jarno (Closes: #761709).
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 19 Sep 2014 14:58:00 +0200

gyoto (0.2.1-2) unstable; urgency=medium

  * Remove obsolete lintian overrides
  * Bug fix: "libgyoto2 and libgyoto1: error when trying to install
    together", thanks to Ralf Treinen (Closes: #760444).

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 04 Sep 2014 10:18:16 +0200

gyoto (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Bump SONAME
  * Add manual to gyoto-doc
  * Check against standards version 3.9.5
  * Bug fix: "use autotools-dev to update config.{sub, guess} and manually
    patch libtool for ppc64el", thanks to Logan Rosen (Closes: #748518).

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 01 Sep 2014 15:45:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: gyoto
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), yorick-dev, yorick-yutils,
-	       libxerces-c-dev, libcfitsio3-dev, libudunits2-dev, autotools-dev
-Build-Depends-Indep: doxygen, doxygen-latex
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/debian-science/packages/gyoto.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gyoto.git
+	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
+	       libboost-dev (>= 1.53.1), autotools-dev
+Build-Depends-Indep: doxygen, doxygen-latex,
+               texlive-bibtex-extra, texlive-latex-base,
+               texlive-lang-french, tipa
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/debian-astro/packages/gyoto.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/gyoto.git
 Homepage: http://gyoto.obspm.fr
 
 Package: gyoto
@@ -26,9 +28,9 @@
  .
  More complex uses of the Gyoto framework can be achieved using the
  yorick-gyoto package. Gyoto can be extended with plug-ins (see
- libgyoto1-dev).
+ libgyoto2-dev).
 
-Package: libgyoto1
+Package: libgyoto2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: General relativistic geodesic integration and ray-tracing
@@ -36,31 +38,31 @@
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick programing language (in yorick-gyoto). Gyoto
- can be extended with plug-ins (see libgyoto1-dev).
+ can be extended with plug-ins (see libgyoto2-dev).
 
 Package: gyoto-dbg
 Architecture: any
 Section: debug
-Depends: libgyoto1 (= ${binary:Version}),
+Depends: libgyoto2 (= ${binary:Version}),
 	 gyoto (= ${binary:Version}) [!kfreebsd-any],
 	 yorick-gyoto (= ${binary:Version}),
 	 ${misc:Depends}
-Description: debugging symbols for gyoto, libgyoto1 and yorick-gyoto
+Description: debugging symbols for gyoto, libgyoto2 and yorick-gyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick programing language (in yorick-gyoto).
  .
- This package contains the debugging symbols for the gyoto, libgyoto1
+ This package contains the debugging symbols for the gyoto, libgyoto2
  and yorick-gyoto packages.
 
-Package: libgyoto1-dev
+Package: libgyoto2-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto1 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto2 (= ${binary:Version}),
 	 libc-dev, libxerces-c3.1
-Replaces: libgyoto0-dev
-Breaks:   libgyoto0-dev
+Replaces: libgyoto0-dev, libgyoto1-dev
+Breaks:   libgyoto0-dev, libgyoto1-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 unexport HOME_LORENE
 
 configure_flags = --with-yorick=/usr/bin/yorick --with-udunits --with-xerces \
-	--without-lorene --prefix=/usr --enable-static --enable-shared
+	--without-lorene --prefix=/usr --enable-static --enable-shared \
+	--with-boost --enable-c++11
 
 install-arch: build-stamp
 	dh_auto_install
@@ -44,25 +45,23 @@
 
 override_dh_auto_build:
 
-build-stamp:
+build-stamp: configure-stamp
 	dh_testdir -a
-	dh_autotools-dev_updateconfig
-	./configure $(configure_flags) --disable-doc
 	make COPT_DEFAULT="" \
 	     Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
-	     Y_LDFLAGS="$(LDFLAGS)"
+	     Y_LDFLAGS="$(LDFLAGS)" \
+	     lib bin yorick
 ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
 ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-i386 kfreebsd-amd64 mips))
 # skip the test suite on kfreebsd-any as gyoto package not beeing built
 # skip on mips as lucatelli2 fails on it (but the binary works on other boxes)
-	LANG=C.UTF-8 make check
+	LC_ALL=C.UTF-8 make check
 endif
 endif
 	touch build-stamp
 
-doc-stamp:
+doc-stamp: configure-stamp
 	dh_testdir -i
-	./configure $(configure_flags) --enable-doc
 	make doc
 	touch doc-stamp
 
@@ -76,15 +75,14 @@
 
 configure-stamp:
 	dh_autotools-dev_updateconfig
-	./configure --without-lorene --prefix=/usr
+	./configure $(configure_flags) --enable-doc
 	touch configure-stamp
 
 clean: configure-stamp
 	dh_testdir
-	./configure $(configure_flags) --enable-doc
 	make distclean
 	dh_autotools-dev_restoreconfig
-	dh_clean doc-stamp build-stamp
+	dh_clean doc-stamp build-stamp configure-stamp
 
 override_dh_auto_test:

## gyoto 1.0.1

=== debian/changelog ===
gyoto (1.0.1-2) unstable; urgency=low

  * Fix debian/copyright to reflect the doxy2swig.py author to use license
    BSD-3-clause instead of BSD-2-clause.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 03 Jun 2015 12:52:28 +0200

gyoto (1.0.1-1) unstable; urgency=low

  * New upstream release, soname bumped
  * Build the (new) Python extensions
  * Build the (new) MPI machinery
  * Implement as-installed tests using autopkgtest

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 27 May 2015 11:41:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,19 @@
 Priority: extra
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), yorick-dev, yorick-yutils,
+Build-Depends: debhelper (>= 9~), yorick-dev, yorick-yutils,
 	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
-	       libboost-dev (>= 1.53.1), autotools-dev
-Build-Depends-Indep: doxygen, doxygen-latex,
+	       libboost-dev (>= 1.53.1), libboost-mpi-dev, autotools-dev,
+	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
+	       python-setuptools, python3-all-dev, python3-setuptools,
+	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3)
+Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
 Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
+Testsuite: autopkgtest
 Vcs-Git: git://anonscm.debian.org/debian-astro/packages/gyoto.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/gyoto.git
 Homepage: http://gyoto.obspm.fr
@@ -17,6 +23,7 @@
 Package: gyoto
 Architecture: linux-any hurd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: mpi-default-bin
 Description: General relativistic ray-tracing
  Gyoto is a framework for computing geodesics in curved
  space-times. The gyoto utility program uses this framework to compute
@@ -27,42 +34,52 @@
  result in FITS format.
  .
  More complex uses of the Gyoto framework can be achieved using the
- yorick-gyoto package. Gyoto can be extended with plug-ins (see
- libgyoto2-dev).
+ yorick-gyoto, python-gyoto or python3-gyoto packages. Gyoto can be
+ extended with plug-ins (see libgyoto4-dev).
+ .
+ MPI parallelization requires the mpi-default-bin package.
 
-Package: libgyoto2
+Package: libgyoto4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Recommends: gyoto
 Description: General relativistic geodesic integration and ray-tracing
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
- a plug-in for the Yorick programing language (in yorick-gyoto). Gyoto
- can be extended with plug-ins (see libgyoto2-dev).
+ a plug-in for the Yorick and Python 2 and 3 programing languages (in
+ yorick-gyoto, python-gyoto and python3-gyoto respectively). Gyoto can
+ be extended with plug-ins (see libgyoto4-dev).
+ .
+ MPI parallelization requires the gyoto and mpi-default-bin packages.
 
 Package: gyoto-dbg
 Architecture: any
 Section: debug
-Depends: libgyoto2 (= ${binary:Version}),
+Depends: libgyoto4 (= ${binary:Version}),
 	 gyoto (= ${binary:Version}) [!kfreebsd-any],
 	 yorick-gyoto (= ${binary:Version}),
+	 python-gyoto (= ${binary:Version}),
+	 python3-gyoto (= ${binary:Version}),
 	 ${misc:Depends}
-Description: debugging symbols for gyoto, libgyoto2 and yorick-gyoto
+Description: debugging symbols for gyoto, libgyoto4 and yorick-gyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
- a plug-in for the Yorick programing language (in yorick-gyoto).
+ a plug-in for the Yorick and Python 2 and 3 programing language (in
+ yorick-gyoto, python-gyoto and python3-gyoto).
  .
- This package contains the debugging symbols for the gyoto, libgyoto2
- and yorick-gyoto packages.
+ This package contains the debugging symbols for the gyoto, libgyoto4,
+ yorick-gyoto, python-gyoto and python3-gyoto packages.
 
-Package: libgyoto2-dev
+Package: libgyoto4-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto2 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto4 (= ${binary:Version}),
 	 libc-dev, libxerces-c3.1
-Replaces: libgyoto0-dev, libgyoto1-dev
-Breaks:   libgyoto0-dev, libgyoto1-dev
+Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev
+Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
@@ -82,6 +99,30 @@
  exposing the Gyoto facilities. It allows using Gyoto interactively
  from the yorick prompt or running complex Gyoto scripts.
 
+Package: python-gyoto
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Description: General relativistic geodesic integration for the Python 2 language
+ Gyoto aims at providing a framework for computing orbits and
+ ray-traced images in General relativity.
+ .
+ This package provides an extension for the Python 2 programing language
+ exposing the Gyoto facilities. It allows using Gyoto interactively
+ from the Python prompt or running complex Gyoto scripts.
+
+Package: python3-gyoto
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: General relativistic geodesic integration for the Python 3 language
+ Gyoto aims at providing a framework for computing orbits and
+ ray-traced images in General relativity.
+ .
+ This package provides an extension for the Python 3 programing language
+ exposing the Gyoto facilities. It allows using Gyoto interactively
+ from the Python 3 prompt or running complex Gyoto scripts.
+
 Package: gyoto-doc
 Architecture: all
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Hardened flags
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

# Don't accidentally build the lorene plug-in
unexport HOME_LORENE

configure_flags = --with-yorick=/usr/bin/yorick --with-udunits --with-xerces \
	--without-lorene --enable-static --enable-shared \
	--with-boost --enable-c++11 --enable-release \
	--with-mpi --without-virtualenv --enable-doc

%:
	dh $@ --with python2,python3,autotools-dev

override_dh_auto_install-arch:
	dh_auto_install -a
	sh debian/install_for_all_pythons
	dh_numpy -a
	dh_numpy3 -a

override_dh_auto_install-indep:

override_dh_install-arch:
	dh_install -a -N yorick-gyoto
	dh_installyorick --no-make-install -pyorick-gyoto
	dh_makeshlibs -a

override_dh_install-indep:
	dh_install -i

override_dh_auto_build-arch:
	$(MAKE) COPT_DEFAULT="" \
	     Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	     Y_LDFLAGS="$(LDFLAGS)" \
	     lib bin yorick
	for badflag in -g -O2 -Werror=format-security -Wformat ; do \
	 sed s/$${badflag}// -i lib/gyoto.pc ; \
	done
	set -e; \
	for python in `pyversions -s` `py3versions -s`; do \
	 make -C python PYTHON=$$python ; \
	done

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_clean:
	[ ! -f python/Makefile ] || make -C python clean
	dh_auto_clean

override_dh_auto_test-indep:

override_dh_auto_test-arch:
ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-i386 kfreebsd-amd64 mips))
# skip the test suite on kfreebsd-any as gyoto package not beeing built
# skip on mips as lucatelli2 fails on it (but the binary works on other boxes)
	LC_ALL=C.UTF-8 dh_auto_test
endif

override_dh_strip:
	dh_strip --dbg-package=gyoto-dbg

## gyoto 1.0.2

=== debian/changelog ===
gyoto (1.0.2-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Rename library packages for g++5 ABI transition.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Feb 2016 12:52:38 +0100

gyoto (1.0.2-2) unstable; urgency=low

  * Bug fix: "FTBFS: gyoto.C: Error initializing libgyoto", thanks to
    Mattia Rizzolo (Closes: #813725).
  * Bug fix: "please make the build reproducible", thanks to Chris Lamb
    (Closes: #797518).
  * Bump Standards-Version to 3.9.7. No change required.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 10 Feb 2016 11:25:37 +0100

gyoto (1.0.2-1ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:16 +0000

gyoto (1.0.2-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 01:19:10 +0000

gyoto (1.0.2-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 07:17:02 +0000

gyoto (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "ftbfs with GCC-5", thanks to Matthias Klose (Closes:
    #777893).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 26 Jun 2015 09:57:46 +0200

gyoto (1.0.1-3) unstable; urgency=low

  * Bug fix: "FTBFS on 32-bit systems (assumes size_t is unsigned long)",
    thanks to Aaron M. Ucko (Closes: #787725).
  * Switch to dh-autoreconf since we patch configure.ac.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 05 Jun 2015 17:14:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: gyoto
 Section: science
 Priority: extra
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9~), yorick-dev, yorick-yutils,
-	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
-	       libboost-dev (>= 1.53.1), libboost-mpi-dev, autotools-dev,
+	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev, automake,
+	       libboost-dev (>= 1.53.1), libboost-mpi-dev, dh-autoreconf,
 	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
 	       python-setuptools, python3-all-dev, python3-setuptools,
 	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3)
 Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Testsuite: autopkgtest
@@ -39,11 +40,13 @@
  .
  MPI parallelization requires the mpi-default-bin package.
 
-Package: libgyoto4
+Package: libgyoto4v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: gyoto
+Conflicts: libgyoto4
+Replaces: libgyoto4
 Description: General relativistic geodesic integration and ray-tracing
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
@@ -57,26 +60,26 @@
 Package: gyoto-dbg
 Architecture: any
 Section: debug
-Depends: libgyoto4 (= ${binary:Version}),
+Depends: libgyoto4v5 (= ${binary:Version}),
 	 gyoto (= ${binary:Version}) [!kfreebsd-any],
 	 yorick-gyoto (= ${binary:Version}),
 	 python-gyoto (= ${binary:Version}),
 	 python3-gyoto (= ${binary:Version}),
 	 ${misc:Depends}
-Description: debugging symbols for gyoto, libgyoto4 and yorick-gyoto
+Description: debugging symbols for gyoto, libgyoto4v5 and yorick-gyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick and Python 2 and 3 programing language (in
  yorick-gyoto, python-gyoto and python3-gyoto).
  .
- This package contains the debugging symbols for the gyoto, libgyoto4,
+ This package contains the debugging symbols for the gyoto, libgyoto4v5,
  yorick-gyoto, python-gyoto and python3-gyoto packages.
 
 Package: libgyoto4-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto4 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto4v5 (= ${binary:Version}),
 	 libc-dev, libxerces-c3.1
 Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev
 Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	--with-mpi --without-virtualenv --enable-doc
 
 %:
-	dh $@ --with python2,python3,autotools-dev
+	dh $@ --with python2,python3,autoreconf
 
 override_dh_auto_install-arch:
 	dh_auto_install -a

=== debian/tests/control ===
Tests: gyoto gyoto-mpi
Depends: gyoto, openmpi-bin
Restrictions: allow-stderr

Tests: yorick-gyoto
Depends: yorick-gyoto
Restrictions: allow-stderr

Test-Command: env OMPI_MCA_orte_rsh_agent=/bin/false orterun --mca btl_tcp_if_include lo /usr/bin/yorick -i debian/tests/yorick-gyoto-mpi
Depends: yorick-gyoto, gyoto, openmpi-bin
Restrictions: allow-stderr

Tests: python-gyoto
Depends: python-gyoto, python3-gyoto,
	 python-all, python3-all,
	 python-numpy, python3-numpy,
	 python-matplotlib, python3-matplotlib
Restrictions: allow-stderr

Tests: python-gyoto-mpi
Depends: python-gyoto, python3-gyoto, gyoto,
	 python-all, python3-all,
	 python-numpy, python3-numpy,
	 python-matplotlib, python3-matplotlib,
	 python-mpi4py, python3-mpi4py,
	 openmpi-bin
Restrictions: allow-stderr
